Subject: jit-lock with default, small chunk-size causing incorrect fontification in cc-mode
From: Daniel Colascione <[email-masked]>
To: [email-masked]
Date: Mon, 30 Aug 2010 16:52:45 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I've attached a file that demonstrates incorrect fontification with
cc-mode and jit-lock used together -- the last function in the file is
not fontified as a function when a file is first visited with
jit-lock-chunk-size equal to its default 512. If I change that to
32768 or change some of the whitespace in the fiile, fontification is
correct again. I've attached the file because the testcase is
whitespace-sensitive.

Presumably, the underlying cause is jit-lock asking cc-mode to start
or stop fontification in an unexpected place.